## org.gnu.gtk
Class ToggleAction

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.Action
                  org.gnu.gtk.ToggleAction

Direct Known Subclasses:
  RadioAction

public class ToggleAction
extends Action

Constructor Summary
`ToggleAction(org.gnu.glib.Handle handle)`
`ToggleAction(java.lang.String name, java.lang.String label, java.lang.String tooltip, java.lang.String stockId)`

Method Summary
`boolean` `getActive()`
`boolean` `getDrawAsRadio()`
`static ToggleAction` `getToggleAction(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`void` `setActive(boolean active)`
`void` `setDrawAsRadio(boolean drawAsRadio)`

Methods inherited from class org.gnu.gtk.Action
`activate, addListener, connectAccelerator, connectProxy, createIcon, createMenuItem, createToolItem, disconnectAccelerator, disconnectProxy, getAcceleratorPath, getName, getProxies, getType, isSensitive, isVisible, removeListener, setAccelGroup, setAccelPath, setSensitive, setVisible`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToggleAction

    public ToggleAction(java.lang.String name,
                        java.lang.String label,
                        java.lang.String tooltip,
                        java.lang.String stockId)

### ToggleAction

    public ToggleAction(org.gnu.glib.Handle handle)

Method Detail

### getToggleAction

    public static ToggleAction getToggleAction(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### setActive

    public void setActive(boolean active)

### getActive

    public boolean getActive()

### setDrawAsRadio

    public void setDrawAsRadio(boolean drawAsRadio)

### getDrawAsRadio

    public boolean getDrawAsRadio()